Friday, February 19, 2021

Ubuntu Security Notice USN-4741-1

==========================================================================
Ubuntu Security Notice USN-4741-1
February 18, 2021

libjackson-json-java vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.04 LTS

Summary:

Jackson could be made to crash if it opened a specially crafted
file.

Software Description:
- libjackson-json-java: Suite of data-processing tools for Java

Details:

It was discovered that Jackson Databind incorrectly handled
deserialization. An attacker could possibly use this issue to execute
arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.04 LTS:
libjackson-json-java 1.9.2-7ubuntu0.2

In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/4741-1
CVE-2017-15095, CVE-2017-7525, CVE-2019-10172

Package Information:
https://launchpad.net/ubuntu/+source/libjackson-json-java/1.9.2-7ubuntu0.2
 

Copyright © 2020 Cyber Details - Vulnerability Database™

Thanks for everything Templateism - You should have written the code a little more complicated